Skip to main content
`Ctrl`+`K`

# PetscRandomDestroy

Destroys a `PetscRandom` object that was created by `PetscRandomCreate()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRandomDestroy(PetscRandom *r)

Collective

## Input Parameter

- r - the random number generator object

## See Also

`PetscRandom`, `PetscRandomGetValue()`, `PetscRandomCreate()`, `VecSetRandom()`

## Level

intermediate

## Location

src/sys/classes/random/interface/randomc.c

## Examples

src/dm/tutorials/swarm_ex3.c
src/ksp/ksp/tutorials/ex59.c
src/ksp/ksp/tutorials/ex18.c
src/ksp/ksp/tutorials/ex46.c
src/ksp/ksp/tutorials/ex21.c
src/ksp/ksp/tutorials/ex52.c
src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex70.c
src/dm/field/tutorials/ex1.c
src/ksp/ksp/tutorials/ex11.c

## Implementations

PetscRandomDestroy_CURAND() in src/sys/classes/random/impls/curand/curand.c
PetscRandomDestroy_Rander48() in src/sys/classes/random/impls/rander48/rander48.c
PetscRandomDestroy_Random123() in src/sys/classes/random/impls/random123/random123.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages